@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    text-decoration: none;
    color: rgba(2, 49, 79, 1);
    transition: all 300ms ease-in-out;
}
input#range {
    width: 100%;
}
.preLoader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    z-index: 20;
    opacity: 1;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /*animation: loaderAnimP 800ms ease-in-out running forwards;*/
    /*animation-delay: 1200ms;*/
    background: linear-gradient(180deg, rgba(208, 235, 255, 1) 0%, rgba(255, 255, 255, 1) 56.3%, rgba(208, 235, 255, 1) 100%);
}

.preLoader > img {
    margin-bottom: 62px;
}

.loader {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    width: 300px;
    height: 8px;
    background: #D0EBFF;
}

.button {
    width: 158px;
    height: 48px;
    background: #02314F;
    border-radius: 12px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    border: 1px solid #94BDBF;
    align-items: center;
}

.button:hover {
    background: #02314F !important;
    color: white !important;
    opacity: 1 !important;
}

.loader > div {
    background: #02314F;
    width: 0;
    height: 8px;
    /*animation: loaderAnim 1200ms ease-in-out running forwards;*/
}

.content {
    min-height: 100vh;
    background: linear-gradient(180deg, rgba(208, 235, 255, 0.8) 0%, rgba(255, 255, 255, 0.8) 56.3%, rgba(208, 235, 255, 0.8) 100%);
}

@keyframes loaderAnimP {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
        pointer-events: none;
    }
}

@keyframes loaderAnim {
    from {
        width: 0;
    }
    to {
        width: 300px;
    }
}

header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 48px 48px 12px;
}

header > img {
    height: 68px;
}

header > a {
    color: white;
}

.workBench {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 239px;
}

.workBench > .bench {
    background: #FFFFFF;
    border-width: 1px 0px 1px 1px;
    border-style: solid;
    width: 100%;
    /*min-height: 20vh;
    max-height: 62vh;*/
    border-color: #94BDBF;
    box-shadow: 0px 4px 50px 5px rgba(84, 130, 242, 0.25);
    border-radius: 12px 0px 12px 12px;
}

.workBench > div:nth-of-type(2) {
    width: 239px;
    height: 468px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-right: 48px;
    padding-left: 33px;
}

.workBench > div:nth-of-type(2) > .button {
    background: #FFFFFF;
    color: #02314F;
    opacity: 0.7;
    border: 1px solid #94BDBF;
    border-radius: 12px;
    position: relative;
}

.workBench > div:nth-of-type(2) > .button.selected {
    left: -25px;
    background: #94BDBF !important;
    border-width: 1px 1px 1px 0px;
    border-style: solid;
    color: #FFFFFF;
    border-color: #94BDBF;
    border-radius: 0px 12px 12px 0px;
}

.flyingBlock {
    position: absolute;
    left: 48px;
    bottom: 96px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.flyingBlock > img {
    margin-bottom: 42px;
}

.flyingBlock > img:last-of-type {
    margin-bottom: 0;
}

.playTimer {
    /*background: #94BDBF;
    border: 1px solid #D0EBFF;
    box-shadow: 0px 4px 4px #D0EBFF;
    border-radius: 6px;*/
    display: flex;
    flex-direction: row-reverse;
    position: relative;
    justify-content: flex-end;
    width: auto;
    height: 24px;
    margin: 94px 239px 0;
}

.playTimer > div:nth-of-type(1) {
    width: 60px;
    position: absolute;
    top: -56px;
    left: 0px;
    margin-right: -60px;
    margin-left: -10px;
}
#range{
    background: #adced2;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;}
     input[type=range]::-webkit-slider-thumb {
      background: #adced2;
      cursor: pointer;
      width:1px;
      height: 25px;
      -webkit-appearance: none;
    }

.playTimer > div:nth-of-type(2) {
/*    background: #FFFFFF;*/
    border-radius: 6px 0px 0px 6px;
    width: 12%;
    height: 22px;
}

.playBtns {
    display: flex;
    flex-direction: row;
    margin-top: 30px;
    margin-left: 239px;
}

.playBtns > img {
    margin-right: 50px;
    width: 75px;
}

.playBtns > img:last-of-type {
    margin-right: 0;
}

.whose {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    top: 77%;
    right: 48px;
}


.whose a {
    margin-bottom: 16px;
    display: flex;
    text-decoration: underline;
    align-items: center;
}

.whose p:nth-of-type(1) {
    margin-bottom: 16px;
}

.showMob {
    display: flex;
}

.popUpBack {
    z-index: 10;
    top: 0;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 100vh;
    background: rgba(2, 49, 79, 0.8);
}

.partHidden {
    opacity: 0 !important;
    pointer-events: none;
}

@media screen and (min-width: 900px) {
    .whose.showMob {
        display: none;
    }
    #whose {
        bottom: 35px;
        position: fixed;
        top: auto;
    }
}

@media screen and (max-width: 900px) {
    .flyingBlock {
        display: none;
    }
    .whose {
        display: none;
    }
    .workBench {
        padding-left: 24px;
        padding-right: 24px;
        flex-direction: column-reverse;
        align-items: center;
    }
    .workBench > .bench {
        border-radius: 12px;
        height: 379px;
    }
    .workBench > div:nth-of-type(2) > .button.selected {
        height: 40px;
    }
    .workBench > div:nth-of-type(2) {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 100%;
    }
    .workBench > div:nth-of-type(2) {
        height: auto;
        padding: 0;
        padding: 0px 24px;
    }
    .workBench > div:nth-of-type(2) > .button {
        background-color: transparent;
        font-weight: 500;
        font-size: 16px;
        text-align: center;
        border: none;
        width: auto;
        color: #94BDBF;
    }
    .workBench > div:nth-of-type(2) > .button > span {
        color: #94BDBF !important;
    }
    .workBench > div:nth-of-type(2) > .button.selected {
        background-color: transparent !important;
        border: none;
        color: #02314F !important;
        width: auto;
        left: 0;
    }
    .workBench > div:nth-of-type(2) > .button.selected > span {
        color: #02314F !important;
    }
    .hideMob {
        display: none;
    }
    .showMob {
        display: flex !important;
    }
    .whose.showMob {
        top: 24px;
    }
    .teethPrev {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 24px;
    }
    .teethPrev > .flyingBlock {
        display: flex;
        flex-direction: row;
        position: initial;
        height: 48px;
    }
    .teethPrev > .flyingBlock > img {
        margin-bottom: 0;
        margin-right: 14px;
        height: 48px;
    }
    .teethPrev > .button {
        margin-left: 14px;
        display: flex;
        color: white !important;
    }
    .playBtns {
        margin: 0;
        padding: 17px 24px 0;
        width: 100%;
        justify-content: flex-start;
        align-items: center;
    }
    .playBtns > img {
        height: 40px;
        margin-right: 28px;
    }
    .playTimer {
        margin: 60px 24px 10px;
    }
    .playTimer > div:nth-of-type(1) {
        top: -46px;
        left: -7px;
    }
    .playTimer > div:nth-of-type(1) > img {
        height: 30px;
    }
    .playTimer > div:nth-of-type(1) > p {
        font-weight: 500;
        font-size: 14px;
    }
    .popUp {
        padding: 24px 56px;
    }
    .popUpBack {
        padding: 0;
    }
}

.closePopUp {
    padding: 14px 16px;
    background: #94BDBF;
    border-width: 1px 1px 1px 0px;
    border-style: solid;
    border-color: #02314F;
    color: #FFFFFF;
    display: none;
    border-radius: 12px;
}

.popUp {
    max-width: 100%;
}

.popUp > img {
    max-width: 100%;
}

.wrongPos {
    color: white;
    font-weight: 600;
    font-size: 24px;
    display: none;
}

.workBench > div:nth-of-type(2) > .button.selected > span {
    color: #FFFFFF;
}

.workBench > div:nth-of-type(2) > .button:hover > span {
    color: #FFFFFF !important;
}

.button.showMob.openPopUp {
    display: none;
}

@media screen and (orientation: portrait) {
    .popUpBack {
        flex-direction: column;
    }
    .wrongPos {
        display: flex;
    }
    .wrongPos {
        display: flex;
    }
    .popUp {
        display: none;
    }
    .closePopUp {
        position: absolute;
        bottom: 94px;
    }
}
